Subject: bug#54646: 29.0.50; set-fontset-font and font clipping issues

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 Mar 2022 17:10:40 +0300

> From: Visuwesh <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 31 Mar 2022 19:14:23 +0530
> 
> I compiled an Emacs that is linked against HarfBuzz 3.3.2, and it shows
> the same problem.

The latest version of HarfBuzz is 4.2.0, although the chances that
it's their problem are not great.

> I managed to reproduce this in an emacs -Q session with that evaled but
> it took me some time [*].  For each buffer that has Tamil text, I have
> to zoom in (or none in the case of eww's header-line) different amounts
> to see the clipping issue:
> 
>     · In init.el, I have to zoom in 7x times
>     · In eww, I have to zoom in 1x time
>     · In dired, I have to zoom in ~15x times
> 
> In the problematic emacs -Q session, current-iso639-language is 'en'.
> 
> [*] As in, it literally took me half an hour to observe the issue, and I
>     cannot seem to figure out a quick way to reproduce it.

Can you provide a recipe, as in: what file or URL to visit and/or what
text to insert before starting the zoom commands?  Also, do you zoom
in and out repeatedly, or just zoom in that many time?  And if it just
takes a small number of zoom commands, why do you say it takes half an
hour? what else needs to happen during that time to see the
problematic display?

Thanks.